de.caff.generics.tuple

## Class ITuple5.Base<T1,T2,T3,T4,T5>

- java.lang.Object
- - de.caff.generics.tuple.ITuple5.Base<T1,T2,T3,T4,T5>

- Type Parameters:
    `T1` - type of first element
    `T2` - type of second element
    `T3` - type of third element
    `T4` - type of fourth element
    `T5` - type of fifth element
  All Implemented Interfaces:
    ITuple5<T1,T2,T3,T4,T5>
  Direct Known Subclasses:
    NTuple5, Tuple5
  Enclosing interface:
    ITuple5<T1,T2,T3,T4,T5>

      public abstract static class ITuple5.Base<T1,T2,T3,T4,T5>
      extends java.lang.Object
      implements ITuple5<T1,T2,T3,T4,T5>

  Abstract base implementation of a 5-tuple. This provides standard implementations for `java.lang.Object` methods `equals()`, `hashCode()` and `toString()`. Therefore it is most useful if you implement a 5-tuple on the fly.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.tuple.ITuple5

      `ITuple5.Base<T1,T2,T3,T4,T5>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITuple5.Base<T1,T2,T3,T4,T5>` | `asBase()` Convert this 5-tuple into a `base tuple` which provides useful implementations for standard methods.
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.tuple.ITuple5

      `_1, _12, _123, _1234, _1235, _12354, _124, _12435, _1245, _12453, _125, _12534, _12543, _13, _132, _13245, _13254, _134, _13425, _1345, _13452, _135, _13524, _13542, _14, _142, _14235, _14253, _143, _14325, _14352, _145, _14523, _14532, _15, _152, _15234, _15243, _153, _15324, _15342, _154, _15423, _15432, _2, _21, _213, _21345, _21354, _214, _21435, _21453, _215, _21534, _21543, _23, _231, _23145, _23154, _234, _23415, _2345, _23451, _235, _23514, _23541, _24, _241, _24135, _24153, _243, _24315, _24351, _245, _24513, _24531, _25, _251, _25134, _25143, _253, _25314, _25341, _254, _25413, _25431, _3, _31, _312, _31245, _31254, _314, _31425, _31452, _315, _31524, _31542, _32, _321, _32145, _32154, _324, _32415, _32451, _325, _32514, _32541, _34, _341, _34125, _34152, _342, _34215, _34251, _345, _34512, _34521, _35, _351, _35124, _35142, _352, _35214, _35241, _354, _35412, _35421, _4, _41, _412, _41235, _41253, _413, _41325, _41352, _415, _41523, _41532, _42, _421, _42135, _42153, _423, _42315, _42351, _425, _42513, _42531, _43, _431, _43125, _43152, _432, _43215, _43251, _435, _43512, _43521, _45, _451, _45123, _45132, _452, _45213, _45231, _453, _45312, _45321, _5, _51, _512, _51234, _51243, _513, _51324, _51342, _514, _51423, _51432, _52, _521, _52134, _52143, _523, _52314, _52341, _524, _52413, _52431, _53, _531, _53124, _53142, _532, _53214, _53241, _534, _53412, _53421, _54, _541, _54123, _54132, _542, _54213, _54231, _543, _54312, _54321, concat1, concat2, concat3, concat4, concat5, concat6, concat7, concat8, concatPred1, concatPred2, concatPred3, concatPred4, concatPred5, concatPred6, concatPred7, concatPred8, concatProc1, concatProc2, concatProc3, concatProc4, concatProc5, concatProc6, concatProc7, concatProc8, equals, frozen, frozenNotNull, hash, invoke, sendTo, testBy, toString, toString, view`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### asBase

          @NotNull
          public ITuple5.Base<T1,T2,T3,T4,T5> asBase()

      Description copied from interface: `ITuple5`
      Convert this 5-tuple into a `base tuple` which provides useful implementations for standard methods.
      Specified by:
        `asBase` in interface `ITuple5<T1,T2,T3,T4,T5>`
      Returns:
        base view of this tuple

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`